### Function

# Cogl egl_texture_2d_new_from_image

since: 13

#### Declaration [src]

    CoglTexture2D*
    cogl_egl_texture_2d_new_from_image (
      CoglContext* ctx,
      int width,
      int height,
      CoglPixelFormat format,
      EGLImageKHR image,
      CoglEglImageFlags flags,
      GError** error
    )

#### Description

No description available.

Available since: 13

This function is not directly available to language bindings.

#### Parameters

`ctx`

  Type: `CoglContext`

  No description available.

  The data is owned by the caller of the function.

`width`

  Type: `int`

  No description available.

`height`

  Type: `int`

  No description available.

`format`

  Type: `CoglPixelFormat`

  No description available.

`image`

  Type: `EGLImageKHR`

  No description available.

`flags`

  Type: `CoglEglImageFlags`

  No description available.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `CoglTexture2D`

No description available.

The data is owned by the called function.